org.red5.server.net.rtmp.event

## Interface IRTMPEvent

All Superinterfaces:
  IEvent

All Known Subinterfaces:
  ISharedObjectMessage

All Known Implementing Classes:
  Abort, Aggregate, AudioData, BaseEvent, BytesRead, ChunkSize, ClientBW, FlexMessage, FlexSharedObjectMessage, FlexStreamSend, Invoke, Notify, Ping, ServerBW, SharedObjectMessage, Unknown, VideoData

    public interface IRTMPEvent
    extends IEvent

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.red5.server.api.event.IEvent

`IEvent.Type`

### Method Summary

Methods
`byte` `getDataType()` Getter for data type
`Header` `getHeader()` Getter for header
`byte` `getSourceType()` Getter for source type
`int` `getTimestamp()` Getter for timestamp
`void` `release()` Hook to free buffers allocated by the event.
`void` `retain()` Retain event
`void` `setHeader(Header header)` Setter for header
`void` `setSource(IEventListener source)` Setter for source
`void` `setSourceType(byte sourceType)` Setter for source type
`void` `setTimestamp(int timestamp)` Setter for timestamp

### Methods inherited from interface org.red5.server.api.event.IEvent

`getObject, getSource, getType, hasSource`

### Method Detail

#### getDataType

    byte getDataType()

Getter for data type

Returns:
  Data type

#### setSource

    void setSource(IEventListener source)

Setter for source

Parameters:
  `source` - Source

#### getHeader

    Header getHeader()

Getter for header

Returns:
  RTMP packet header

#### setHeader

    void setHeader(Header header)

Setter for header

Parameters:
  `header` - RTMP packet header

#### getTimestamp

    int getTimestamp()

Getter for timestamp

Returns:
  Event timestamp

#### setTimestamp

    void setTimestamp(int timestamp)

Setter for timestamp

Parameters:
  `timestamp` - New event timestamp

#### getSourceType

    byte getSourceType()

Getter for source type

Returns:
  Source type

#### setSourceType

    void setSourceType(byte sourceType)

Setter for source type

Parameters:
  `sourceType` -

#### retain

    void retain()

Retain event

#### release

    void release()

Hook to free buffers allocated by the event.